{
   LN(z)=-2*E 1/(2*k-1) * (((1-z)/(1+z))^(2*k-1))
}
Const eps = 1E-4;

Var z,l : Real;
    It : Integer;

Function Pow(A,B:Real):Real;
{     (A^B) }
Var T:Real;
Begin
     T := Abs(A);
     If A < 0 Then Pow := (-1)*Exp(B*Ln(T))
              Else Pow := Exp(B*Ln(T));
End;

Procedure Log(z : Real; var Res  : Real);
Var S, Un : Real;
	K : Integer;

Begin
      K := 1;
     Un := 1;
      S := 0;

     While Un > 4*eps Do Begin
           Un := 1/(2*k-1) * Pow(((1-z)/(1+z)),(2*k-1));
            S := S + Un;
           Inc(K);
     End;
     Res := -2 * S;
     WriteLn('᫮ ᫠: ',K);
End;

Begin
     Write(' z: ');
     ReadLn(z);
     WriteLn;

     Log(z,l);
     WriteLn(' z: ',z:3:3);
     WriteLn('쭮 LN: ',Ln(z):3:5);
     WriteLn('᫥ LN: ',l:3:5);
     readln;
End.